# Pulse Generator Project

{% hint style="warning" %}
This tutorial is for advanced users; complete the [Hello World](https://docs.voltera.io/docs/v-one/learn-v-one/v-one-projects/hello-world-project) tutorial first!
{% endhint %}

For this tutorial, we are going to be building a pulse generator circuit, which outputs an adjustable pulse signal. It is a simple circuit that allows subsequent boards to be controlled by adjusting the potentiometer. The circuit consists of a timing ICs, an LED, a trimming potentiometer, a few capacitors, and some resistors. For a more in-depth explanation of the project, check out our [white paper](https://www.voltera.io/use-cases/white-papers/printing-decimal-counter-circuit-silver-conductive-ink-fr1#Project_overview).

{% hint style="warning" %}
This circuit requires a stable 5V power supply, like from the voltage regulator board, to function properly.
{% endhint %}

{% hint style="info" %}
**Learning Concept:** Working with and controlling a 555 timer circuit\
\
This board uses a 555 timer IC (NE555) to generate adjustable pulse signals that can be used with other boards, like the decimal counter board. The NE555 timer is a versatile and widely-used integrated circuit (IC) that can generate stable time delays or oscillations, depending on the external components configured around it.\
\
On this board, it operates in astable mode to generate continuous pulse signals. A variable resistor is used to function as a potentiometer in this circuit, altering the charging and discharging time of the capacitor. This adjusts the pulse frequency, which controls the speed of the pulse. The green LED blinks in sync with the output pulses.
{% endhint %}

{% embed url="<https://www.youtube.com/watch?v=pr12cgWj-Ns>" %}

Our kit includes all the components you need to assemble the pulse generator project. In addition to that you will need conductive ink, solder paste, dispensing tips and an FR1 substrate (2"x3" or 3"x4"). If you need another kit, or any other supplies you can grab one from our store:

<table data-card-size="large" data-view="cards"><thead><tr><th align="center"></th><th data-hidden data-card-cover data-type="image">Cover image</th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td align="center"><strong>Pulse Generator Component Kit</strong></td><td><a href="https://2994552790-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKMS1I2mCuOJeZyXjzOqV%2Fuploads%2Fv14edHKFppwrYrb0CXbH%2FPulse%20generator_components_1.jpg?alt=media&#x26;token=bf05ac8f-39e3-45fd-b8b5-ab27d5b9d6e9">Pulse generator_components_1.jpg</a></td><td><a href="https://store.voltera.io/products/pulse-generator-kit">https://store.voltera.io/products/pulse-generator-kit</a></td></tr></tbody></table>

{% hint style="success" %}
Although this circuit operates normally on its own, we recommend completing the other two projects for a well-rounded learning experience.
{% endhint %}

<table data-card-size="large" data-view="cards"><thead><tr><th align="center"></th><th data-hidden data-card-cover data-type="image">Cover image</th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td align="center"><strong>Voltage Regulator Project</strong></td><td><a href="https://2994552790-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKMS1I2mCuOJeZyXjzOqV%2Fuploads%2FG7hqVUiPzW4eecUEpHQV%2FVoltage%20regulator_working_2.jpg?alt=media&#x26;token=88e313d9-0e17-44e6-b13f-1d37d90cfe8d">Voltage regulator_working_2.jpg</a></td><td><a href="voltage-regulator-project">voltage-regulator-project</a></td></tr><tr><td align="center"><strong>99 Decimal Counter Project</strong></td><td><a href="https://2994552790-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKMS1I2mCuOJeZyXjzOqV%2Fuploads%2FJ88doJVXtyRxpclmeSkX%2FDecimal%20counter_working_1.jpg?alt=media&#x26;token=c9f16aaf-7746-42a6-9d00-3334a6795182">Decimal counter_working_1.jpg</a></td><td><a href="99-decimal-counter-project">99-decimal-counter-project</a></td></tr></tbody></table>

{% hint style="warning" %}
Before starting the project, be sure to review the [Safety ](https://docs.voltera.io/docs/v-one/getting-started/v-one-user-manual/v-one-safety-information/english)[Guidelines](https://docs.voltera.io/docs/v-one/getting-started/v-one-user-manual/v-one-safety-information/english) for using the V-One.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.voltera.io/docs/v-one/learn-v-one/v-one-projects/pulse-generator-project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
